<?php
/**
 * 视频删除
 * $Id: media_delete_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author lixq
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("11")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$course_media_mst = CourseMediaDat::getById($id);
if ($course_media_mst == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "media_list.inc";
	$layout_pages["menu_clicked"] = "4-2";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

$aliHandler = new AliUploadHandler();
$aliHandler->delete(substr ( $course_media_mst->front_image, strrpos ( $course_media_mst->front_image, "/" ) + 1 ));
$aliHandler->delete(substr ( $course_media_mst->media, strrpos ( $course_media_mst->media, "/" ) + 1 ));
if($course_media_mst->course_id != 0){
  $course_mst = CourseMst::getById($course_media_mst->course_id);
  $course_mst->media_count -= 1;
  $course_mst->save();
}
// 数据库更新
$course_media_mst->delete_flg = true;
$course_media_mst->save();

// 跳到一览页
header("Location:media_list.php?search_flg=true");
exit;
